LINUX.ORG.RU

Re: может кто поможет! настраиваю pppd(диалап-сервер) в RH7.2 конфу брал со своего RH6.2, но на 7.2 не работает.

Приведи пример файла /etc/ppp/options и чат сценария. Я доберусь до своего компьютера скину свои файли. Но в них какая то проблема с задержками ... Через некоторое время pppd перестает качать данные, пинг проходит нопмально, короче помогает только рефреш. А вот с KPPP все работает нормально. Да если хочеш можеш сам про все почитать на сайте www.nitek.ru/~igor/pppd ...

alien. alien@360.com.ua

anonymous ()

Re: может кто поможет! настраиваю pppd(диалап-сервер) в RH7.2 конфу брал со своего RH6.2, но на 7.2 не работает.

Была аналогичная проблема, решилась полным забиванием на 7.2 и возвращением к 6.2.
Т.к. manual-ы и настройки идентичные, а работать не хочет (не воспринимает /etc/ppp/options.ttyXX). Похоже pppd какой-то сырой всунули...
Так что стяни отдельно pppd, и поставь сам :-)

spirit ★★★★★ ()

Re: Re: может кто поможет! настраиваю pppd(диалап-сервер) в RH7.2 конфу брал со своего RH6.2, но на 7.2 не работает.

У меня RH 7.2 c pppd по умолчанию 2.4.1 и все работает OK на выделенке. Все конфиги понимает.

main_prog ()

Re: может кто поможет! настраиваю pppd(диалап-сервер) в RH7.2 конфу брал со своего RH6.2, но на 7.2 не работает.

не воспринимает /etc/ppp/options.ttyXX spirit (*) (2002-07-06 14:27:20.334)

Приведите у кого есть работающий файл /etc/ppp/options и chat файл. Сразу у всех отпадут вопросы.

hemper

anonymous ()

Re: может кто поможет! настраиваю pppd(диалап-сервер) в RH7.2 конфу брал со своего RH6.2, но на 7.2 не работает.

~/bin/ppp/dial pppd /dev/ttyS1 57600 connect '$HOME/bin/ppp/dial.chat'

~/bin/ppp/dial.chat !/bin/sh

dial() { /bin/echo 1>&2 /bin/date "+%d.%m.20%y %H:%M:%S" 1>&2

/usr/sbin/chat -V \ ABORT "ERROR" \ ABORT "NO DIALTONE" \ TIMEOUT 45 \ "" "AT" \ "OK"-"+++"-"" "AT" \ "OK" "ATZ" \ "OK" "ATS7=120" \ ABORT "BUSY" \ ABORT "NO ANSWER" \ ABORT "NO CARRIER" \ ABORT "Login incorrect" \ "OK" "ATDP$1" \ TIMEOUT 125 \ "CONNECT" "\\c" \ TIMEOUT 30 \ "ogin:" "my_login" \ "word:" "my_password" \ "}" "\\c" if [ "$?" = "0" ]; then exit 0 fi

/bin/echo 1>&2 /bin/echo "$1 failed" 1>&2 } dial 4213414231 #dial 413241234

exit 1

/etc/ppp/options

noipdefault #disconnect "chat -- \d+++\d\c OK ath0 OK" noauth crtscts lock modem asyncmap 0 default-asyncmap mru 1500 mtu 1500 nodetach lcp-echo-interval 30 lcp-echo-failure 4 lcp-max-configure 60 lcp-restart 2 idle 600 noipx defaultroute

Файл OPTIONS один из нескольких вариантов, но как я писал, проблема у меня с тем что через несколько секунд pppd перестает качать информацию. Бегать в браузере еще можно а вот что то сохранить на диск нельзя так как при сохранении рефреш не сделаеш.

Может у кого-то есть идеи как єто лечить.

ailen

anonymous ()

Re: может кто поможет! настраиваю pppd(диалап-сервер) в RH7.2 конфу брал со своего RH6.2, но на 7.2 не работает.

~/bin/ppp/dial

pppd /dev/ttyS1 57600 connect '$HOME/bin/ppp/dial.chat'

~/bin/ppp/dial.chat

!/bin/sh

dial() {

/bin/echo 1>&2

/bin/date "+%d.%m.20%y %H:%M:%S" 1>&2

/usr/sbin/chat -V \

ABORT "ERROR" \

ABORT "NO DIALTONE" \

TIMEOUT 45 \

"" "AT" \

"OK"-"+++"-"" "AT" \

"OK" "ATZ" \

"OK" "ATS7=120" \

ABORT "BUSY" \

ABORT "NO ANSWER" \

ABORT "NO CARRIER" \

ABORT "Login incorrect" \

"OK" "ATDP$1" \

TIMEOUT 125 \

"CONNECT" "\\c" \

TIMEOUT 30 \

"ogin:" "my_login" \

"word:" "my_password" \

"}" "\\c"

if [ "$?" = "0" ]; then

exit 0

fi

/bin/echo 1>&2

/bin/echo "$1 failed" 1>&2

}

dial 4213414231

#dial 413241234

exit 1

/etc/ppp/options

noipdefault

#disconnect "chat -- \d+++\d\c OK ath0 OK"

noauth

crtscts

lock

modem

asyncmap 0

default-asyncmap

mru 1500

mtu 1500

nodetach

lcp-echo-interval 30

lcp-echo-failure 4

lcp-max-configure 60

lcp-restart 2

idle 600

noipx

defaultroute

Файл OPTIONS один из нескольких вариантов, но как я писал, проблема у меня с тем что через несколько секунд pppd перестает качать информацию. Бегать в браузере еще можно а вот что то сохранить на диск нельзя так как при сохранении рефреш не сделаеш.

Может у кого-то есть идеи как єто лечить.

ailen

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.